Delete multiple Calls
curl --request DELETE \
--url https://commerce.driv.ly/api/calls \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/calls"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"lead": 123,
"phone": "<string>",
"conversation": "<string>",
"recording": "<string>",
"transcript": "<string>",
"notes": "<string>",
"rating": 123,
"ratingNote": "<string>",
"followUpEmail": "<string>",
"nextSteps": "<string>",
"conversationUrl": "<string>",
"developmentCall": true
}
]
}Calls
Delete multiple Calls
Delete all Calls matching the where query
DELETE
/
calls
Delete multiple Calls
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { calls } from '@drivly/commerce'
const sdk = new SDK(...)
const calls = await sdk.calls.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
⌘I